<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->
<script>
	import { onMount } from 'svelte';
	import { user } from '../user_data.js'
	import Animal from '../lib/animal.svelte'
	import Suivi from '../lib/suivi.svelte'
	let userdata = {}
	user.subscribe(user_data => {
		console.log("data updated " + JSON.stringify(user_data))
		userdata = user_data;
	});

	let Carousel; // for saving Carousel component class
	let carousel; // for calling methods of the carousel instance

	let animals = [
					{
						nom:"Doggy", 
						num_dossier:"0000000000001",
						url:"images/chien.jpg",
						race:"Berger Allemand",
						naissance:"27/07/2013",
						vaccins:[
							{date:"17/12/2021", nom:"Rage"},
							{date:"17/12/2021", nom:"Maladie de Carré"},
							{date:"17/12/2021", nom:"Hépatites"},
							{date:"17/02/2021", nom:"Léptospirose"},
							{date:"12/01/2021", nom:"Pyroplasmose"},
							{date:"12/01/2021", nom:"Toux du Chenil"},
							{date:"13/02/2020", nom:"Parvovirose"}
						],
						historique:[
							{date:"17/12/2021", motif:"Problème  griffe", facture:"f0004" },
							{date: "17/02/2021",motif:"Vomissements", facture:"f0003" },
							{date: "12/01/2021",motif:"Vaccins", facture:"f0002" },
							{date: "13/02/2020",motif:"Vaccins", facture:"f0001"}
						],
						messages: [
							{date:"19/10/2021", message:"Bonjour, est-il possible de passer faire un détartrage ?", type:"question"},
							{date:"19/10/2021", message:"Bonjour ! Oui, passez quand vous voulez la machine est libre !", type:"answer"}
						]
					},
					{
						nom:"Oscar",
						num_dossier:"0000000000002",
						url:"images/chat.png",
						race:"Siamois",
						naissance:"13/09/2011",
						vaccins:[
							{date:"02/01/2022", nom:"Rage"},
							{date:"17/02/2016", nom:"Chomage"},
						],
						historique:[
							{date:"17/02/2020", motif:"Problème  griffe", facture:"f0006" },
							{date: "17/02/2018",motif:"Inflamation coussinet", facture:"f0007" },
							{date: "17/02/2016",motif:"Vomissements", facture:"f0008" }
						],
						messages: [
							{date:"02/11/2021", message:"Bonjour\n Mon chat perd beaucoup de poils en ce moment \n Que dois-je faire ?", type:"question"},
							{date:"02/11/2021", message:"Bonjour,\n C'est tout à fait normal à ce stade de l'année : https://lemagduchat.ouest-france.fr/dossier-238-mue-chat.html", type:"answer"},
							{date:"02/11/2021", message:"Oh très bien !\n Merci beaucoup bonne journée !", type:"question"},
							{date:"02/11/2021", message:"De rien, Merci bonne journée également !", type:"answer"}
						]
					},
					{
						nom:"Rocco",
						num_dossier:"0000000000003",
						url:"images/serpent.jpg",
						race:"Boa",
						naissance:"11/09/2020",
						vaccins:[

						],
						historique:[
							{date:"17/02/2021", motif:"Extraction multiprise", facture:"f0005" },
						],
						messages: [
							{date:"17/02/2021", message:"Bonjour, mon serpent a avalé une multiprise, que faire ?", type:"question"},
							{date:"17/02/2021", message:"Bonjour ! Venez de toute urgence à la clinque.\n Nous devons l'opérer !", type:"answer"}
						]
					},
				]

	let pageIndex = 0;

	const handleNextClick = () => {
		carousel.goToNext()
		console.log(pageIndex)
	}

	onMount(async () => {
		const module = await import('svelte-carousel');
		Carousel = module.default;
	});

</script>

<svelte:head>
	<title> Clinais : {animals[pageIndex].nom}</title>
</svelte:head>

<div class="content">

	<svelte:component
		on:pageChange={ event => pageIndex = event.detail  }
		this={Carousel}
		bind:this={carousel}>

		{#each animals as animal}
			<div class=animal>
				<h1> {animal.nom} </h1>
				<img src={animal.url} alt=""/>
				<Animal data={animal}/>
			</div>
		{/each}
	</svelte:component>


	<div>
		<Suivi data={animals[pageIndex]}/>
	</div>
	<br>
	<button class="btn btn-outline-primary elem" on:click={handleNextClick}>
		<b>Suivant : { animals[(pageIndex+1)%animals.length].nom } </b> 
	</button>

</div>

<style>

	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
		--primary-color: #4ab2f5;
		--secondary-color: #4ab2f5;
		--tertiary-color: #edf0f8;
		--accent-color: #4ab2f5;
		text-align:center;
	}

	div.animal img{
		max-width: 100px;
	}


	.elem{
		margin : 0 auto;
		display: flex;
	}
</style>
